> ## Documentation Index
> Fetch the complete documentation index at: https://developer.oplog.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Star Product (Set Product's favorite state to true).



## OpenAPI

````yaml /api-reference/openapi.json put /openapi/v1/Products/star
openapi: 3.0.1
info:
  title: OmniServices Web API
  version: v1
servers:
  - url: https://api.oplog.one
    description: Production Server
  - url: https://api.staging.oplog.one
    description: Staging Server
security:
  - Authorization: []
paths:
  /openapi/v1/Products/star:
    put:
      tags:
        - Products
      summary: Star Product (Set Product's favorite state to true).
      parameters:
        - name: sku
          in: query
          schema:
            type: string
        - name: X-Tenant-Id
          in: header
          description: If you want to emulate, please enter TenantId.
          schema:
            type: string
      responses:
        '200':
          description: Success
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````